Subject: Re: What parts of "TeX" are architecture independent?

From: Nils Rennebarth <[email-masked]>
Date: Mon, 2 Sep 1996 14:18:58 +0200 (MET DST)

On Mon, 19 Aug 1996, llucius wrote:
>I finally bit the bullet and started work on the TeX packages to make 
>them build on multiple architectures.
Sorry for the long delay.

>Well, since I don't much at all about 
>TeX, I'm not sure what's platform specific.  I'm especially concerned 
>about endianness.

>
>As far as I can gather, the only files that aren't independent are "tfm" 
>files.  Is that correct?
No. *Everything* is platform independent except the executable binaries
(of course) and .base and .fmt files, but the latter are generated at
installation time anyway.

Much care had been taken by D.E.Knuth to make .dvi .tfm and .pk files
platform and especially endianness independent. All other files of the TeX
system are simple ASCII textfiles.

Nils

--
Coming again: Best quotes of the net. Today:          | Nils Rennebarth
Kristian Köhntopp <[email-masked]            | Schillerstr. 61 
>>I'd also be interested in the comparison [of Linux] | 37083 Göttingen
>>with a cisco router. I assume a factor of about ten.| ++49-551-71626
>What? faster or slower?                              | http://www.nus.
Cheaper!                                              | de/~nils